export type Subject = {
  id: string;
  roles: string[];
  attributes?: Record<string, any>;
};

export type Resource = {
  type: string;
  id?: string;
  attributes?: Record<string, any>;
};

export type Action = string;

export interface PermissionRule {
  resource: string;
  action: string;
  allowedRoles?: string[];
  attributeCondition?: (subject: Subject, resource: Resource) => boolean;
}
