import jwt from "jsonwebtoken";

const JWT_SECRET = process.env.JWT_SECRET || "changeme";

export function createPermissionToken(user: { id: string; roles: string[] }, permissions: string[], expiresIn = "1h") {
  const payload = {
    sub: user.id,
    roles: user.roles,
    permissions
  };

  return jwt.sign(payload, JWT_SECRET, { expiresIn });
}
